#include "status.h"

#include <time.h>
#include <math.h>
#include <stdio.h>

//---------------------------------------------------------------------
void Status::Initialize(INTEGER pN1, INTEGER pN2)
{
min = (double) pN1 + 0.1;
max = (double) pN2;

inc = (max - min) / 100.001;

percent = 0;
}
//---------------------------------------------------------------------
void Status::StartTime()
{
start = clock();
}
//---------------------------------------------------------------------
void Status::StopTime()
{
stop = clock();
}
//---------------------------------------------------------------------
void Status::GetStatus(INTEGER pNr)
{	

while(min <= pNr)
	{
	printf("\rStatus: %d%%", percent++);

	min += inc;
	}

}
//---------------------------------------------------------------------
void Status::GetTime()
{
double Sekunden;
double Minuten;
double Stunden;

Sekunden = (double)(stop-start) / (double)CLOCKS_PER_SEC;

short n = 0;

if(Sekunden > 59)
	{
	n = 1;

	Minuten   = floor(Sekunden / 60.0);
	Sekunden -= (Minuten * 60.0);

	if(Minuten > 59)
		{
		n = 2;

		Stunden  = floor(Minuten / 60.0);
		Minuten -= (Stunden * 60.0);
		}
	}

printf("\n\nBentigte Rechenzeit: ");

if(n >= 2) printf("%.0f std ", Stunden);
if(n >= 1) printf("%.0f min ", Minuten);
if(n >= 0) printf("%.3f sek ", Sekunden);
}
//---------------------------------------------------------------------
