#ifndef __prim_h
#define __prim_h

#include "integer.h"
#include "status.h"
#include "print.h"

#include <vector>

typedef 	std::vector<INTEGER>                    VECT;
typedef 	std::vector<INTEGER>::const_iterator    ITER;

class Prim
{
private:

bool PRINT;
bool STATE;

INTEGER start;
INTEGER stop;
INTEGER oldpr;
INTEGER prims;
INTEGER twins;
INTEGER *lprim;
INTEGER *dis;

VECT mem;

Status status;
Print print;

void SetArrays();
void LittlePrims();
void Sieve();
inline void isPrim(INTEGER);
void GetPrimNr();
void Help();

INTEGER GetFirstPos(INTEGER, INTEGER);

public:

Prim(int, char**);
Prim() : lprim(NULL) {}

void SearchPrims(INTEGER, INTEGER);

INTEGER GetPrims() {return prims;}
INTEGER GetTwins() {return twins;}
};

#endif